# IRremoteESP8266: src/ir_Kelvinator.h File Reference

ir_Kelvinator.h File Reference

Support for Kelvinator A/C protocols. More...

Go to the source code of this file.

## Classes

union | KelvinatorProtocol
| Native representation of a Kelvinator A/C message. More...
class | IRKelvinatorAC
| Class for handling detailed Kelvinator A/C messages. More...

## Variables

const uint8_t | kKelvinatorAuto = 0
const uint8_t | kKelvinatorCool = 1
const uint8_t | kKelvinatorDry = 2
const uint8_t | kKelvinatorFan = 3
const uint8_t | kKelvinatorHeat = 4
const uint8_t | kKelvinatorBasicFanMax = 3
const uint8_t | kKelvinatorFanAuto = 0
const uint8_t | kKelvinatorFanMin = 1
const uint8_t | kKelvinatorFanMax = 5
const uint8_t | kKelvinatorMinTemp = 16
const uint8_t | kKelvinatorMaxTemp = 30
const uint8_t | kKelvinatorAutoTemp = 25

## Detailed Description

Support for Kelvinator A/C protocols.

## Variable Documentation

## kKelvinatorAuto

const uint8_t kKelvinatorAuto = 0

## kKelvinatorAutoTemp

const uint8_t kKelvinatorAutoTemp = 25

## kKelvinatorBasicFanMax

const uint8_t kKelvinatorBasicFanMax = 3

## kKelvinatorCool

const uint8_t kKelvinatorCool = 1

## kKelvinatorDry

const uint8_t kKelvinatorDry = 2

## kKelvinatorFan

const uint8_t kKelvinatorFan = 3

## kKelvinatorFanAuto

const uint8_t kKelvinatorFanAuto = 0

## kKelvinatorFanMax

const uint8_t kKelvinatorFanMax = 5

## kKelvinatorFanMin

const uint8_t kKelvinatorFanMin = 1

## kKelvinatorHeat

const uint8_t kKelvinatorHeat = 4

## kKelvinatorMaxTemp

const uint8_t kKelvinatorMaxTemp = 30

## kKelvinatorMinTemp

const uint8_t kKelvinatorMinTemp = 16